Subject: bug#57789: Emacs 28.1 clone build with native compilation crashes on s390x

From: Rob Browning <[email-masked]>
Date: Tue, 13 Sep 2022 22:20:46 -0500

Rob Browning <[email-masked]> writes:

> Will attempt.

Hmm, so I ran "make V=1" from the same tree and saw thw command that
repeatably crashed, which was:

  EMACSLOADPATH= '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)'  \
    -l comp -f batch-byte+native-compile international/titdic-cnv.el

I then ran that manually via 

  (cd lisp
   && EMACSLOADPATH= '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)'  \
      -l comp -f batch-byte+native-compile international/titdic-cnv.el)

which ran for a bit and succeeded.  After that a make worked fine until
bindings.el where it crashed again, this time with an "Aborted", and
running it manually didn't help.

In any case, I'm going to start over and try to get the backtraces for
the titdic-cnv.el failure.

-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4